### Method

# Gtk IMContextget_preedit_string

#### Declaration [src]

    void
    gtk_im_context_get_preedit_string (
      GtkIMContext* context,
      char** str,
      PangoAttrList** attrs,
      int* cursor_pos
    )

#### Description [src]

Retrieve the current preedit string for the input context, and a list of attributes to apply to the string.

This string should be displayed inserted at the insertion point.

#### Parameters

`str`

  Type: `char**`

  Location to store the retrieved string. The string retrieved must be freed with g_free().

  The argument will be set by the function.
  The caller of the method takes ownership of the data, and is responsible for freeing it.
  The value is a NUL terminated UTF-8 string.

`attrs`

  Type: `PangoAttrList`

  Location to store the retrieved attribute list. When you are done with this list, you must unreference it with `pango_attr_list_unref()`.

  The argument will be set by the function.
  The caller of the method takes ownership of the data, and is responsible for freeing it.

`cursor_pos`

  Type: `int*`

  Location to store position of cursor (in characters) within the preedit string.

  The argument will be set by the function.